import { type TSESTree } from '@typescript-eslint/utils';
import type ts from 'typescript';
import { type NodeMap } from './node-map';
export declare function isDirectCallOrNewArgument(node: TSESTree.FunctionLike): boolean;
export declare function isStoredFunctionUsedAsCallOrNewArgument(fn: TSESTree.FunctionLike, checker: ts.TypeChecker, esTreeNodeToTSNodeMap: NodeMap): boolean;
